Trf_XorBuffer(3)

NAME
Trf_XorBuffer - XOR the bytes in a buffer with a mask.

SYNOPSIS
#include <transform.h>

void Trf_XorBuffer
(
    void *buffer,
    void *mask,
    int length
);

PARAMETERS

void *buffer
    Buffer to xor the mask with.

void *mask
    Mask bytes xor'ed into the buffer.

int length
    Length of mask and buffer (in byte).

DESCRIPTION
Internally used by the implementation of the various stream modes available to blockciphers.

SEE ALSO
Trf_Init(3), Trf_SafeInit(3), Trf_IsInitialized(3), Trf_CreateOptions(3), Trf_DeleteOptions(3), Trf_CheckOptions(3), Trf_SetOption(3), Trf_SetObjOption(3), Trf_QueryOptions(3), Trf_SeekQueryOptions(3), Trf_WriteProc(3), Trf_CreateCtrlBlock(3), Trf_DeleteCtrlBlock(3), Trf_TransformCharacter(3), Trf_TransformBuffer(3), Trf_FlushTransformation(3), Trf_ClearCtrlBlock(3), Trf_QueryMaxRead(3), Trf_Register(3), Trf_ConverterOptions(3), Trf_MDStart(3), Trf_MDUpdate(3), Trf_MDUpdateBuf(3), Trf_MDFinal(3), Trf_MDCheck(3), Trf_RegisterMessageDigest(3), Trf_LoadLibrary(3), Trf_ShiftRegister(3), Trf_FlipRegisterShort(3), Trf_FlipRegisterLong(3), Trf_InitStubs(3)